NioEndpoint.Handler.SocketState (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.net.NioEndpoint.Handler.SocketState class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.tomcat.util.net
Enum NioEndpoint.Handler.SocketState

    java.lang.Object
      java.lang.Enum<NioEndpoint.Handler.SocketState>
          org.apache.tomcat.util.net.NioEndpoint.Handler.SocketState

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<NioEndpoint.Handler.SocketState>

Enclosing interface:
  NioEndpoint.Handler

    public static enum NioEndpoint.Handler.SocketState

extends java.lang.Enum<NioEndpoint.Handler.SocketState>

Enum Constant Summary
`CLOSED`
`LONG`
`OPEN`

Method Summary
`static NioEndpoint.Handler.SocketState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static NioEndpoint.Handler.SocketState[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OPEN

    public static final NioEndpoint.Handler.SocketState OPEN

### CLOSED

    public static final NioEndpoint.Handler.SocketState CLOSED

### LONG

    public static final NioEndpoint.Handler.SocketState LONG

Method Detail

### values

    public static final NioEndpoint.Handler.SocketState[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(NioEndpoint.Handler.SocketState c : NioEndpoint.Handler.SocketState.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static NioEndpoint.Handler.SocketState valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.